Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599868 - [RFE] - ability to edit an existing migration plan
Summary: [RFE] - ability to edit an existing migration plan
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
URL:
Whiteboard: v2v
Depends On:
Blocks: 1601090
TreeView+ depends on / blocked
 
Reported: 2018-07-10 19:34 UTC by Brett Thurber
Modified: 2019-02-07 23:03 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
can't edit plan after map deletion (deleted)
2018-11-12 08:49 UTC, Yadnyawalk Tale
no flags Details
fixed_proof.png (deleted)
2018-12-04 12:57 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:25 UTC

Description Brett Thurber 2018-07-10 19:34:07 UTC
Description of problem:
To prevent orphaning a migration plan, I would like the ability to edit the plan to select a new infrastructure mapping.  Today if an infrastructure mapping is deleted that is associated to a migration plan the plan will become orphaned.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Brett Thurber 2018-10-30 14:22:46 UTC
Moving to ON_QA as PR's are merged and ready for testing.

Comment 5 Yadnyawalk Tale 2018-11-12 08:48:31 UTC
I noticed summery and description of current issue is little bit miss-matched.

We have ability to edit exiting migration plan (from while back) and it is working fine, but as @Brett mentioned (in description) I am assuming issue is about - 

If an infrastructure mapping is deleted its associated migration plan should be edited (before and after deletion). 

I tried following steps -
1. Created infra map 
2. Created migration plan (associated with step1 map)
3. Deleted infra map
4. Can't edit migration plan which was associated with step1 map

@Mike, can you clarify what should I expect here? If ^^ are correct then it should be failedQA.

Tested on: 5.10.0.23.20181106165157_92dd189

Comment 6 Yadnyawalk Tale 2018-11-12 08:49:31 UTC
Created attachment 1504614 [details]
can't edit plan after map deletion

Comment 7 vconzola 2018-11-12 16:31:08 UTC
@Ytale You are correct. The original PRs did not address the use case in @Brett's description. There was a later PR that allows a user to edit a migration plan with a deleted mapping: https://github.com/ManageIQ/manageiq-v2v/pull/765 It was backported 5 days ago, so should be available to test. Sorry for the confusion.

Comment 8 Yadnyawalk Tale 2018-11-13 03:33:38 UTC
Thanks for clarification @Vince.

Marking FailedQA as patch did not addressed the usecase (Comment #7).
Will wait and test this again in next build of stream 5.10.

Comment 9 Mike Turley 2018-11-13 15:01:24 UTC
@Vince, that PR only added the warning about the wizard steps being cleared when you are changing the mapping. @Ytale is actually correct, the PR referenced in this BZ makes it possible to change mappings in that wizard, but it did not re-enable the Edit button on a plan with a missing mapping. That last step never got implemented, which is my mistake.

I'll put up a quick PR to fix this asap.

Comment 10 Mike Turley 2018-11-13 15:38:52 UTC
Here's a PR that will resolve the rest of this BZ: https://github.com/ManageIQ/manageiq-v2v/pull/788

Comment 11 CFME Bot 2018-11-15 13:19:36 UTC
New commit detected on ManageIQ/manageiq-v2v/master:

https://github.com/ManageIQ/manageiq-v2v/commit/828e229770743655aff17ee17eb627e0ff38a882
commit 828e229770743655aff17ee17eb627e0ff38a882
Author:     Mike Turley <mturley@redhat.com>
AuthorDate: Tue Nov 13 10:24:59 2018 -0500
Commit:     Mike Turley <mturley@redhat.com>
CommitDate: Tue Nov 13 10:24:59 2018 -0500

    Enable editing orphaned plans and handle undefined mapping when editing

    https://bugzilla.redhat.com/show_bug.cgi?id=1599868

 app/javascript/react/screens/App/Overview/components/Migrations/MigrationsNotStartedList.js | 2 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardAdvancedOptionsStep/index.js | 5 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardGeneralStep/PlanWizardGeneralStep.js | 11 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardGeneralStep/index.js | 5 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardInstancePropertiesStep/index.js | 5 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardVMStep/index.js | 5 +-
 6 files changed, 26 insertions(+), 7 deletions(-)

Comment 12 CFME Bot 2018-11-15 19:22:52 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/17fc1605ed81de37de7f8a6a437b3cd8d416f0f8
commit 17fc1605ed81de37de7f8a6a437b3cd8d416f0f8
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Thu Nov 15 08:17:55 2018 -0500
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Thu Nov 15 08:17:55 2018 -0500

    Merge pull request #788 from mturley/bz1599868-edit-orphaned-plan

    Enable editing orphaned plans and handle undefined mapping when editing

    (cherry picked from commit 828e1ef5a1b8a25e55a364a05d6c512f01242ab3)

    https://bugzilla.redhat.com/show_bug.cgi?id=1599868

 app/javascript/react/screens/App/Overview/Overview.js | 51 +-
 app/javascript/react/screens/App/Overview/components/Migrations/MigrationsNotStartedList.js | 2 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardAdvancedOptionsStep/index.js | 5 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardGeneralStep/PlanWizardGeneralStep.js | 11 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardGeneralStep/index.js | 5 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardInstancePropertiesStep/index.js | 5 +-
 app/javascript/react/screens/App/Overview/screens/PlanWizard/components/PlanWizardVMStep/index.js | 5 +-
 app/javascript/react/screens/App/common/ConfirmModal.js | 8 +-
 8 files changed, 74 insertions(+), 18 deletions(-)

Comment 13 Mike Turley 2018-11-15 19:54:16 UTC
@Ytale, this should now be fully fixed in the next build.

Comment 15 Yadnyawalk Tale 2018-12-04 12:57:58 UTC
Created attachment 1511297 [details]
fixed_proof.png

Fixed! I can edit plan and mentioned issue is also fixed with warning flash.
Verified on - 5.10.0.27.20181128170555_43ed8cb

Comment 16 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.